Subject: Re: bug#11749: Acknowledgement (24.1; C-mode indentation gives wrong-type-argument error.)

From: Alan Mackenzie <[email-masked]>
Date: Wed, 21 Nov 2012 21:33:40 +0000

Hi, Michael.

On Wed, Nov 14, 2012 at 11:52:41AM -0500, Michael Welsh Duggan wrote:

> ... Today I started working in C again, and ran into issues like this:

> Error during redisplay: (jit-lock-function 3411) signaled (wrong-type-argument number-or-marker-p nil)
> c-parse-state inconsistency at 3599: using cache: nil, from scratch: ((3409 . 3599))
> Old state:
> (setq c-state-cache '((3409 . 3599))  c-state-cache-good-pos 3599  c-state-nonlit-pos-cache '(6307 3307)  c-state-nonlit-pos-cache-limit 3592  c-state-semi-nonlit-pos-cache '(3307)  c-state-semi-nonlit-pos-cache-limit 3592  c-state-brace-pair-desert '(nil . 3396)  c-state-point-min 1  c-state-point-min-lit-type nil  c-state-point-min-lit-start nil  c-state-min-scan-pos 1  c-state-old-cpp-beg nil  c-state-old-cpp-end nil  c-parse-state-point 3600)

> I have finally managed to come up with a recipe for this one.  I am
> using "110803 [email-masked]" with your
> patches.

> emacs -Q rwfileinfo.c
> M-x c-toggle-parse-state-debug
> C-x 4 b *Messages* RET

I assumed a C-x o here.  ;-)

> C-s enum RET
> C-M-f C-p C-e ,

> Error occurs after the comma (should be on line 197).

I find myself on L96.  I can't reproduce this error, neither on a tty or
in X windows.  I tried repeating the C-M-f, so that the C-p C-e brought
point to just after "RWINFO_PROPERTY_COUNT" and typing a comma there.
That still didn't signal an error.

I've just committed the current state of the fixes to the Emacs-24 branch
at savannah, for the pretest next weekend.

Thanks again for all the input.

> -- 
> Michael Welsh Duggan
> ([email-masked])

-- 
Alan Mackenzie (Nuremberg, Germany).